Subject: [ANCP] Specific versus general error codes

From: Tom Taylor <[email-masked]>
Date: Sun, 15 Apr 2012 20:26:49 -0400

I'm doing my promised review of draft-ietf-ancp-mc-extensions-06.txt. So 
far I've found a few more-or-less editorial errors. I've now reached 
Section 4.3.2, where two new Result Code values are defined, but are not 
documented as fully as specified in the IANA Considerations section of 
RFC 6320. Before I expand the documentation, I'll ask whether the two 
codes are really useful, or whether they are sufficiently covered by 
0x55 "Invalid TLV contents". The two codes are:

0x64 "Command error" (invalid command code received)

and

0x65 "Bad flow address" (unsupported address family or ASM with source 
address or SSM without a source address).

Tom Taylor

---

From: Francois Le Faucheur <[email-masked]>
Date: Mon, 16 Apr 2012 11:08:05 +0200

Hello Tom,

I don't have an extremely strong view, but my input would be:
	* I think it is useful to be able to convey the actual reason for "invalidity" (eg command error or bad flow address)
	* it could be done with a separate error code (as currently proposed) or probably via the combination of a more generic error code "Invalid TLV value" and a more explicit "error message" (as used in 4.2.2). I personally have a weak preference for the former.

In addition to the above, you probably have already noted that the error codes are sometimes listed in decimal and sometimes in hex. eg.  
		-  "0x64       | Command error."   vs
		-  "100  Command error.  This SHOULD be reported for the case that an invalid command code has been received."

You may want to rename "Bad flow address" into "Invalid flow address".

Cheers

Francois

On 16 Apr 2012, at 02:26, Tom Taylor wrote:

> I'm doing my promised review of draft-ietf-ancp-mc-extensions-06.txt. So far I've found a few more-or-less editorial errors. I've now reached Section 4.3.2, where two new Result Code values are defined, but are not documented as fully as specified in the IANA Considerations section of RFC 6320. Before I expand the documentation, I'll ask whether the two codes are really useful, or whether they are sufficiently covered by 0x55 "Invalid TLV contents". The two codes are:
> 
> 0x65 "Bad flow address" (unsupported address family or ASM with source address or SSM without a source address).
> 
> Tom Taylor
> _______________________________________________
> ANCP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ancp

---

From: Tom Taylor <[email-masked]>
Date: Mon, 16 Apr 2012 08:56:05 -0400

Thanks for the comments. Changing code values to hex to conform with the 
already-established registry is one of my editorial to-do's.